Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet
Class MultiLayerPerceptron

    java.lang.Object
      java.util.Observable
          org.neuroph.core.NeuralNetwork
              org.neuroph.nnet.MultiLayerPerceptron

All Implemented Interfaces:
  Serializable

    public class MultiLayerPerceptron

extends NeuralNetwork

Multi Layer Perceptron neural network with Back propagation learning algorithm.

Author:
  Zoran Sevarac
See Also:
  `BackPropagation`, `MomentumBackpropagation`, Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.NeuralNetwork
`output`

Constructor Summary
`MultiLayerPerceptron(int... neuronsInLayers)`
`MultiLayerPerceptron(List<Integer> neuronsInLayers)` Creates new MultiLayerPerceptron with specified number of neurons in layers
`MultiLayerPerceptron(List<Integer> neuronsInLayers, NeuronProperties neuronProperties)` Creates new MultiLayerPerceptron net with specified number neurons in getLayersIterator
`MultiLayerPerceptron(List<Integer> neuronsInLayers, TransferFunctionType transferFunctionType)`
`MultiLayerPerceptron(TransferFunctionType transferFunctionType, int... neuronsInLayers)`

Method Summary
`void` | `connectInputsToOutputs()`

Methods inherited from class org.neuroph.core.NeuralNetwork
`addLayer, addLayer, addPlugin, calculate, createConnection, getInputNeurons, getInputsCount, getLabel, getLayerAt, getLayers, getLayersCount, getLearningRule, getLearningThread, getNetworkType, getOutput, getOutputNeurons, getOutputsCount, getPlugin, indexOf, learn, learn, learnInNewThread, learnInNewThread, load, load, notifyChange, pauseLearning, randomizeWeights, randomizeWeights, randomizeWeights, randomizeWeights, removeLayer, removeLayerAt, removePlugin, reset, resumeLearning, save, setInput, setInputNeurons, setLabel, setLearningRule, setNetworkType, setOutputNeurons, stopLearning, toString`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiLayerPerceptron

    public MultiLayerPerceptron(List<Integer> neuronsInLayers)

  Creates new MultiLayerPerceptron with specified number of neurons in layers

  Parameters:
    `neuronsInLayers` - collection of neuron number in layers

### MultiLayerPerceptron

    public MultiLayerPerceptron(int... neuronsInLayers)

### MultiLayerPerceptron

    public MultiLayerPerceptron(TransferFunctionType transferFunctionType,
                                int... neuronsInLayers)

### MultiLayerPerceptron

    public MultiLayerPerceptron(List<Integer> neuronsInLayers,
                                TransferFunctionType transferFunctionType)

### MultiLayerPerceptron

    public MultiLayerPerceptron(List<Integer> neuronsInLayers,
                                NeuronProperties neuronProperties)

  Creates new MultiLayerPerceptron net with specified number neurons in getLayersIterator

  Parameters:
    `neuronsInLayers` - collection of neuron numbers in layers
    `neuronProperties` - neuron properties

Method Detail

### connectInputsToOutputs

    public void connectInputsToOutputs()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.